<script lang="ts">
  import { Input } from "@sveltestrap/sveltestrap";
  export let value: string;
  export let max: number;
  export let min: number;
  export let step = 1

  export let maxSuffix: string | undefined = undefined;
  export let minLabel: string = '';
  export let maxLabel: string = '';

  export let onChange: (e: Event) => void;

  let _value = value;
  $: if(maxSuffix && _value == max) {
    value = _value + maxSuffix;
  } else {
    value = _value;
  }
</script>
<div class="d-flex flex-row align-items-center">
  <div class="d-flex w-100 flex-column">
    <Input
      type="range"
      class="colored-range"
      style="margin-right: 0.5em;"
      {min}
      {max}
      {step}
      on:change={onChange}
      bind:value={_value}
    />
    <div class="d-flex justify-content-between">
      <span>{minLabel}</span>
      <span>{maxLabel}</span>
    </div>
  </div>
  <span class="text-white fw-bold mb-auto white-space-nowrap text-nowrap ps-2" style="min-width: 40px">
    {#if value}
      {value}
    {:else}
      {min} - {max}{maxSuffix || ''}
    {/if}
  </span>
</div>